package code;

import jade.core.AID;
import jade.core.Agent;
import jade.core.behaviours.*;
import jade.lang.acl.ACLMessage;
import jade.lang.acl.MessageTemplate;

import code.Albanil1.*;

public class Encargado extends Agent{

	protected void setup(){
		
		//Se aade un OneShotBehaviour
		addBehaviour(new OneShotBehaviour() {
			
	        public void onStart() {
	    	    System.out.println("Agente ["+getLocalName()+" 'El Encargado'] ha llegado a la construccion.");
	    	    System.out.println("----------------------------------------------------------");
	    	    myAgent.doWait(2000); // 2000 milisegundos = 2 segundos
	    	    super.onStart();
	        } 
	        
			public void action(){
				doWait(30000);
				System.out.println(getLocalName()+" 'El Encargado': Pero esto que es? Se acabo el descanso, a currar!");
				ACLMessage orden = new ACLMessage(ACLMessage.REQUEST);
				AID aidAlbanil1 = new AID();
				aidAlbanil1.setLocalName("Juan");
				orden.addReceiver(aidAlbanil1);
				AID aidAlbanil2 = new AID();
				aidAlbanil2.setLocalName("Goyo");
				orden.addReceiver(aidAlbanil2);
				orden.setSender(getAID());
				orden.setContent("currar");
				send(orden);
							
				doWait(35000);
				System.out.println(getLocalName()+" 'El Encargado': Bueno chicos, ya es hora, vamonos para casa.");
				orden.setContent("casa");
				send(orden);
				doDelete();
				
			} //fin action

		});	//fin addBehaviour, OneShot
		
	} //fin setup
	
	protected void takeDown(){
		System.out.println("Agente ["+getLocalName()+" 'El Encargado'] se ha ido.");
	    System.out.println("----------------------------------------------------------");
	}
	
}
