package code;

import jade.core.Agent;
import jade.core.behaviours.*;
import jade.lang.acl.ACLMessage;
import jade.lang.acl.MessageTemplate;

import code.AlbanilBehaviours.*;

public class Albanil2 extends Agent{

	protected void setup(){
		
		
		SequentialBehaviour seqB = new SequentialBehaviour();
		SequentialBehaviour seqB2 = new SequentialBehaviour();
		
		CementoBehaviour cb = new CementoBehaviour(this,2850);
		SiestaBehaviour sb = new SiestaBehaviour(cb);
		
		//se aade CementoBehaviour al Agente
		addBehaviour(cb);	
		
		//se aade OneShot en el Sequential
		seqB.addSubBehaviour(new OneShotBehaviour(){	

			public void action() {
				doWait(1000);
				System.out.println(getLocalName()+" 'El Albail': Buah, que suerte hoy pasan chicas guapas por delante de la obra");
				block();
			}
			
		});
		seqB.addSubBehaviour(sb);	//se aade SiestaBehaviour en el Sequential
		addBehaviour(seqB);	//se aade el Sequential al Agente
		
	}
}
